Subject: Re: Re [bug] pull --prune could not delete references due to lock file already exists error

From: "brian m. carlson" <[email-masked]>
Date: Fri, 27 Jun 2025 18:59:32 +0000

On 2025-06-25 at 14:18:49, K Jayatheerth wrote:
> First off thanks for reporting the bug :)
> So I cannot test this bug as my files system is case sensitive
> but to just read the code and give a thought in a direction (Assuming that the bug is recreatable)

Just so you know, on Linux, you can create a case-insensitive JFS
partition on a loopback device and on macOS, you can create a
case-insensitive APFS or HFS partition in a disk image file that can
then be mounted (I think using `hdiutil` or the directions at [0]).

I have used the former in the rare occasion that I need to test a
case-insensitive file system.

[0] https://support.apple.com/en-ca/guide/disk-utility/dskutl11888/mac
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA